Exiv2::Internal::TiffGroupStruct Struct Reference

Data structure used as a row (element) of a table (array) defining the TIFF component used for each tag in a group. More...

`#include <tiffimage_int.hpp>`

## Classes

struct | Key
| Search key for TIFF group structure. More...

## Public Member Functions

bool | operator== (const Key &key) const
| Comparison operator to compare a TiffGroupStruct with a TiffGroupStruct::Key.
uint16_t | tag () const
| Return the tag corresponding to the extended tag.

## Public Attributes

uint32_t | extendedTag_
| Tag (32 bit so that it can contain special tags)
IfdId | group_
| Group that contains the tag.
NewTiffCompFct | newTiffCompFct_
| Function to create the correct TIFF component.

## Detailed Description

Data structure used as a row (element) of a table (array) defining the TIFF component used for each tag in a group.

The documentation for this struct was generated from the following file:

- tiffimage_int.hpp